%define major	  0
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name: redland
Version: 1.0.17
Release: %mkrel 12
License: LGPLv2
Summary: Redland RDF Application Framework
Group: Development/Other
Source: https://download.librdf.org/source/%{name}-%{version}.tar.gz
Patch0: redland-1.0.17-link.patch
URL: https://librdf.org/
BuildRequires: pkgconfig(libcares)
BuildRequires: db5-devel
BuildRequires: pkgconfig(gnutls)
BuildRequires: gtk-doc
BuildRequires: libtool
BuildRequires: libtool-devel
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: mysql-devel
BuildRequires: postgresql-devel
BuildRequires: pkgconfig(raptor2)
BuildRequires: pkgconfig(rasqal)
BuildRequires: pkgconfig(sqlite3)
# Current virtuoso-opensource >= 7.0 is 64-bit only
%ifarch x86_64 aarch64
BuildRequires: virtuoso-opensource
%endif
BuildRequires: pkgconfig(libiodbc)
BuildRequires: swig
Conflicts: %{develname} < 1.0.14
Requires: rasqal
Requires: raptor2

%description
Redland is a library that provides a high-level interface for RDF
(Resource Description Framework) implemented in an object-based API.
It is modular and supports different RDF/XML parsers, storage
mechanisms and other elements. Redland is designed for applications
developers to provide RDF support in their applications as well as
for RDF developers to experiment with the technology.


%package -n %{libname}
Summary: Dynamic libraries from %{name}
Group: System/Libraries

%description -n %{libname}
Dynamic libraries from %{name}.


%package -n %{develname}
Summary: Header files and static libraries from %{name}
Group: Development/Other
Requires: %{libname} >= %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{name}-devel
Obsoletes: %{mklibname -d %{name} 0}

%description -n %{develname}
Libraries and includes files for developing programs based on %{name}.


%prep
%autosetup -p0

%build
%configure --disable-static \
	--with-mysql \
	--with-postgresql \
	--with-raptor=system \
	--with-rasqal=system

%make_build

%install
%make_install

%multiarch_binaries %{buildroot}%{_bindir}/redland-config

%files
%doc AUTHORS ChangeLog
%doc README NEWS LICENSE.txt
%doc *.html
%license COPYING
%{_bindir}/redland-db-upgrade
%{_bindir}/rdfproc
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_mandir}/man3/*

%files -n %{libname}
%license COPYING.LIB
%{_libdir}/librdf.so.%{major}{,.*}

%files -n %{develname}
%multiarch %{multiarch_bindir}/redland-config
%{_bindir}/redland-config
%{_includedir}/redland.h
%{_includedir}/librdf.h 
%{_includedir}/rdf_*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/*/*


%changelog
* Wed Jul 02 2025 aurr <aurr> 1.0.17-12.mga10
+ Revision: 2243169
- remove BR: virrtuoso-opensource for 32-bit arch
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Sat Apr 02 2022 umeabot <umeabot> 1.0.17-10.mga9
+ Revision: 1841070
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0.17-9.mga8
+ Revision: 1516474
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.17-8.mga7
+ Revision: 1300804
- Mageia 7 Mass Rebuild

* Tue Feb 20 2018 kekepower <kekepower> 1.0.17-7.mga7
+ Revision: 1203471
- Rebuild for new mpfr

* Sat Dec 23 2017 wally <wally> 1.0.17-6.mga7
+ Revision: 1184224
- rebuild for new mariadb

* Tue Feb 09 2016 umeabot <umeabot> 1.0.17-5.mga6
+ Revision: 950907
- Mageia 6 Mass Rebuild

* Tue Nov 25 2014 cjw <cjw> 1.0.17-4.mga5
+ Revision: 799109
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 1.0.17-3.mga5
+ Revision: 739402
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.17-2.mga5
+ Revision: 688642
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 luigiwalser <luigiwalser> 1.0.17-1.mga5
+ Revision: 591464
- 1.0.17

* Fri Oct 18 2013 umeabot <umeabot> 1.0.16-3.mga4
+ Revision: 518051
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.16-2.mga3
+ Revision: 380276
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 mikala <mikala> 1.0.16-1.mga3
+ Revision: 338307
- Update tarball to 1.0.16

* Tue Jul 31 2012 fwang <fwang> 1.0.15-4.mga3
+ Revision: 276304
- rebuild for db-5.3

* Mon Jul 30 2012 tv <tv> 1.0.15-3.mga3
+ Revision: 276245
- rebuild for db-5.3

* Thu Jun 14 2012 tv <tv> 1.0.15-2.mga3
+ Revision: 260512
- build with db5.2
+ kamil <kamil>
- clean .spec

* Sun Dec 04 2011 fwang <fwang> 1.0.15-1.mga2
+ Revision: 176212
- do not build docs
- new version 1.0.15
- more linkage fix
- fix linkage of  engines
- build against iodbc
- new version 1.0.14
+ mikala <mikala>
- Remove defattr()
- use pkgconfig() for BR

* Sun Jul 17 2011 dmorgan <dmorgan> 1.0.12-8.mga2
+ Revision: 125013
- Bump release
- Revert to last know version to work

* Fri Jul 15 2011 kharec <kharec> 1.0.13-1.mga2
+ Revision: 124509
- fix BR for authorize build
- New version 1.0.13

* Fri Mar 25 2011 dmorgan <dmorgan> 1.0.12-7.mga1
+ Revision: 77401
- Relink to db4, if not libreoffice will not be installable

* Thu Mar 24 2011 dmorgan <dmorgan> 1.0.12-6.mga1
+ Revision: 76776
- Rebuild against new mysql

* Sat Jan 15 2011 mikala <mikala> 1.0.12-5.mga1
+ Revision: 18344
- Drop mdk macros
- Remove BuildRoot
- imported package redland


* Sat Jan 01 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0.12-5mdv2011.0
+ Revision: 627008
- rebuilt against mysql-5.5.8 libs, again

* Mon Dec 27 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.12-4mdv2011.0
+ Revision: 625429
- rebuilt against mysql-5.5.8 libs

* Sun Oct 17 2010 Frank Kober <emuse@mandriva.org> 1.0.12-3mdv2011.0
+ Revision: 586370
- fix rasqal.h location

* Sun Oct 17 2010 Frank Kober <emuse@mandriva.org> 1.0.12-2mdv2011.0
+ Revision: 586307
+ rebuild (emptylog)

* Sun Oct 17 2010 Frank Kober <emuse@mandriva.org> 1.0.12-1mdv2011.0
+ Revision: 586263
- new version 1.0.12 fixing rasqal_world declaration in rdf_init.h

* Sun Sep 26 2010 Funda Wang <fwang@mandriva.org> 1.0.11-1mdv2011.0
+ Revision: 581082
- update to new version 1.0.11

* Wed Feb 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.10-2mdv2010.1
+ Revision: 507042
- rebuild

* Fri Jan 01 2010 Emmanuel Andry <eandry@mandriva.org> 1.0.10-1mdv2010.1
+ Revision: 484728
- New version 1.0.10
- drop patches (applied upstream)
- fix URL

* Wed Dec 30 2009 Funda Wang <fwang@mandriva.org> 1.0.9-7mdv2010.1
+ Revision: 484132
- rebuild for db4.8

* Wed Nov 18 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.9-5mdv2010.1
+ Revision: 467227
- fix deps
- link against system libltdl.so.7

* Mon Aug 31 2009 Helio Chissini de Castro <helio@mandriva.com> 1.0.9-4mdv2010.0
+ Revision: 423010
- Fix mess of link when modules are dynamically parsed

* Mon Aug 17 2009 Helio Chissini de Castro <helio@mandriva.com> 1.0.9-3mdv2010.0
+ Revision: 417261
- Rebuild to fix mysql missing symbol

* Sun Aug 02 2009 Funda Wang <fwang@mandriva.org> 1.0.9-2mdv2010.0
+ Revision: 407508
- there is no more file conflcits

* Wed Jul 29 2009 Emmanuel Andry <eandry@mandriva.org> 1.0.9-1mdv2010.0
+ Revision: 404097
- New version 1.0.9
- update files list

  + Oden Eriksson <oeriksson@mandriva.com>
    - use lowercase mysql-devel

* Sat Dec 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-3mdv2009.1
+ Revision: 311206
- rebuilt against mysql-5.1.30 libs

* Thu Jul 10 2008 Funda Wang <fwang@mandriva.org> 1.0.8-2mdv2009.0
+ Revision: 233254
- New devel package policy

* Thu Jul 10 2008 Funda Wang <fwang@mandriva.org> 1.0.8-1mdv2009.0
+ Revision: 233243
- Bump BR version

  + Austin Acton <austin@mandriva.org>
    - new version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.7-2mdv2009.0
+ Revision: 225315
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 28 2007 Austin Acton <austin@mandriva.org> 1.0.7-1mdv2008.1
+ Revision: 138743
- new version
- fix buildrequires

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu May 10 2007 Austin Acton <austin@mandriva.org> 1.0.6-1mdv2008.0
+ Revision: 26055
- new version


* Wed Jan 03 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.4-2mdv2007.0
+ Revision: 103794
- Import redland

* Wed Jan 03 2007 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-2mdv2007.1
- rebuild for new ncurses
- fix file list

* Wed May 10 2006 Lenny Cartier <lenny@mandriva.com> 1.0.4-1mdk
- 1.0.4

* Wed Feb 22 2006 Austin Acton <austin@mandriva.org> 1.0.3-1mdk
- New release 1.0.3

* Wed Nov 30 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.2-3mdk
- rebuild against openssl-0.9.8

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-2mdk
- rebuilt against MySQL-5.0.15

* Fri Aug 26 2005 Austin Acton <austin@mandriva.org> 1.0.2-1mdk
- New release 1.0.2

* Fri Jun 10 2005 Austin Acton <austin@mandriva.org> 1.0.1-1mdk
- New release 1.0.1

* Sat Apr 30 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-2mdk
- rebuild for new sqlite
- add multiarch support

* Sun Feb 06 2005 Austin Acton <austin@mandrake.org> 1.0.0-1mdk
- 1.0.0
- fix requires

* Tue Jan 25 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.19-3mdk
- rebuilt against MySQL-4.1.x system libs

* Sat Jan 22 2005 Stefan van der Eijk <stefan@mandrake.org> 0.9.19-2mdk
- rebuild

* Mon Nov 08 2004 Austin Acton <austin@mandrake.org> 0.9.19-1mdk
- 0.9.19
- move bindings to separate SRPM

* Sat Jul 03 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.9.16-3mdk
- Rebuild for new curl

* Fri Jun 11 2004 Austin Acton <austin@mandrake.org> 0.9.16-2mdk
- bring back libtoolize
- configure 2.5
- add missing headers
- remove dependencies on libname

* Thu May 20 2004 Austin Acton <austin@mandrake.org> 0.9.16-1mdk
- 0.9.16

* Mon Feb 02 2004 Austin Acton <austin@mandrake.org> 0.9.15-1mdk
- 0.9.15
- libtoolize
- enable mysql
- buildrequires php-devel

